﻿// UrsAD7606.h

#ifndef _URSAD7606_h
#define _URSAD7606_h

#include <Arduino.h>

// Werte für die Auflösung. 5 Volt oder 10 Volt
enum class AD7606Range {
   Volt5 = 152580,
   Volt10 = 305175
};

// Zur Aufnahme einer Messung mit 8 Kanälen
struct  AD7606DataSet {
   int16_t channel [8];
};

// Zur Festlegung, ob zu Beginn eine Blindmessung durchgeführt werden soll.
enum class AD7606DummyRead : bool {
   disable = false,
   enable = true
};

// Zur Festlegung, ob der DMA-Transfer-Complete-Interrupt ausgelöst werden soll.
enum class AD7606DmaTci : bool {
   disable = false,
   enable = true
};
#endif